For AI agents: an index of this documentation is at https://developer.rippling.com/llms.txt. Public pages have a Markdown version at the same URL with .md added.

Skip to main content
API

List teams

GET
/teams/

Use with AI:Rippling AI ChatGPT Claude Cursor

List teams

GET
/teams/

Returns a paginated list of all teams within the organization.

Helpful resources

Required Scopes

  • teams.read

Request

Query Parameters
    expand string
    order_by string
    limit integerrequired

    Possible values: >= 1 and <= 100

    Default value: 50

    The maximum number of results to return. Defaults to 50. Maximum is 100.

    cursor string

Expanding objects

Include one or more of these fields in the expand parameter to return nested data.

Fields:parent

Sorting results

Include one or more of these fields in the sort parameter to control result order.

Fields:id, created_at, updated_at

Responses​

Successful response
Schema
    __meta object
    A list of redacted fields.
      redacted_fields object[]
        Array [
        name string

        The name for the redacted field

        reason string

        The reason for the redaction

        ]
    results object[]
      Array [
      id stringrequired

      Identifier field

      created_at stringrequired

      Record creation date

      updated_at stringrequired

      Record update date

      parent_id string

      The parent team

      parent object
      The parent team
        name stringrequired

        The name of the team.

        ]
      next_link string

      A link to the next page of responses.

    Loading...